#include <bits/stdc++.h>
using namespace std;
long long v;
int m=0,br=0;
int main(){
    cin>>v;
    if(v>99){
        br++;
    }
    for(int i=1;i<=v;i++){
        m=v%10;
        if(m==1 or m==2 or m==5){
            br+=1;
        }
        else if(m==3 or m==4 or m==6 or m==7){
            br+=2;
        }
        else if (m==8 or m==9){
            br+=3;
        }
        v=v/10;
    }
    cout<<br;
    cout<<endl;

return 0;
}